Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api-sandbox.featherhq.com/v1/agents/revisions/{revision_id} \ --header 'x-api-key: <api-key>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "description": "<string>", "persona": "<string>", "system_prompt": "<string>", "global_skill_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "context_variables": [ { "name": "<string>", "source": "derived", "enum_values": [ "<string>" ], "reask_cap": 123, "description": "<string>" } ], "variable_defaults": {}, "tool_refs": [ {} ], "knowledge_base_refs": [ {} ], "policies_enabled": true, "policy_refs": [ {} ], "channel_specific_config": {}, "router_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "model_settings": { "model": "<string>", "config": { "temperature": 123, "max_tokens": 123, "top_p": 123, "stop_sequences": [ "<string>" ], "request_timeout_ms": 123, "thinking_budget": 2 } }, "kb_clearance_level": 123, "kb_audience_tags": [ "<string>" ], "created_by": "<string>" }
Successful Response
Show child attributes
Was this page helpful?